# Copyright (c) 2015  Dave Love, University of Liverpool
# Licence as for the package itself

%global commit 9f81378712280a5734ce38d12636fdc4a1117c88
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:		ravel
Version:	1.0.0
Release:	1.git%shortcommit%{?dist}
Summary:	MPI trace visualization tool 
License:	LGPLv2
URL:		https://github.com/LLNL/ravel
Source0:	https://github.com/LLNL/ravel/archive/%commit/%name-%shortcommit.tar.gz

BuildRequires:	cmake otf2-devel muster-devel qt5-qtbase-devel
BuildRequires:	openmpi-devel zlib-devel
%if 0%{?el6}%{?el7}
BuildRequires:	devtoolset-6-gcc-c++
%else
BuildRequires:	gcc-c++
%endif
# For libopen-trace-format
Requires:	openmpi%{?_isa}

# Not in epel7 openmpi's provides, at least
%global __requires_exclude libopen-trace-format\.so.*
%{?filter_setup:
%filter_from_requires /libopen-trace-format\.so.*/d
%filter_setup
}


%description
Ravel is an MPI trace visualization tool.  Ravel is unique in that it
shows not only physical timelines, but also logical ones structured to
better capture the intended organization of communication operations.
Ravel reads Open Trace Format versions 1 and 2, calculates logical
structure, and presents the results using multiple coordinated views.

In logical time, all operations are colored via some metric.  The
default metric is lateness which measures the difference in exit time
of an operation compared to its peers at the same logical timestep.


%prep
%setup -q -n %name-%commit


%build
%if 0%{?el6}%{?el7}
. /opt/rh/devtoolset-6/enable
export CXXFLAGS=-std=gnu++11
%endif
%_openmpi_load
%cmake -DMuster_INCLUDE_DIRS=%_includedir/muster \
       -DOTF_INCLUDE_DIRS=$MPI_INCLUDE/vampirtrace/open-trace-format -DOTF_LIBRARIES=$MPI_LIB/libopen-trace-format.so
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
mv $RPM_BUILD_ROOT%_bindir/Ravel $RPM_BUILD_ROOT%_bindir/ravel


%files
%license LICENSE
%doc README.md
%_bindir/ravel


%changelog
* Sun Dec  2 2018 Dave Love <loveshack@fedoraproject.org> - 1.0.0-1.git9f81378
- New version

* Wed Apr  1 2015 Dave Love <d.love@liverpool.ac.uk> - 1.0.0-1
- Initial packaging

